Bug 1430527 - GNUTLS change broke qemu-kvm build for RHEL 6.9
Summary: GNUTLS change broke qemu-kvm build for RHEL 6.9
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnutls
Version: 6.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 20:41 UTC by Danilo Cesar Lemes de Paula
Modified: 2017-03-09 14:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-09 14:20:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1415682 0 high CLOSED Changes introduced by rebase to 2.12.23 break API and ABI compatibility for some libraries 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1428750 0 high CLOSED Fails to build in brew 2021-02-22 00:41:40 UTC

Internal Links: 1415682 1428750

Description Danilo Cesar Lemes de Paula 2017-03-08 20:41:29 UTC
Description of problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1415682 Included some API changes that broke qemu-kvm build for rhel6.9.

qemu-kvm fails with the following message: 
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c: In function 'vnc_tls_client_setup':
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c:313: error: 'gnutls_kx_set_priority' is deprecated (declared at /usr/include/gnutls/compat.h:342)
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c:320: error: 'gnutls_certificate_type_set_priority' is deprecated (declared at /usr/include/gnutls/compat.h:347)
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c:327: error: 'gnutls_protocol_set_priority' is deprecated (declared at /usr/include/gnutls/compat.h:344)

BuildInfo: http://download-node-02.eng.bos.redhat.com/brewroot/work/tasks/2325/12692325/build.log

Those methods were not described as deprecated by the bug or the changelog. Is this change intended?

Comment 2 Nikos Mavrogiannopoulos 2017-03-09 07:52:45 UTC
This deprecation is part of the rebase. However it shouldn't affect a build since this is a compiler warning. Do you compile with -Werror?

Comment 3 Danilo Cesar Lemes de Paula 2017-03-09 12:35:03 UTC
We do use -Werror, that's the issue.
This bug is a bit more to double check that you deprecated the correct functions as the one we use are not described as deprecated by the bug or the changelog.

Comment 4 Nikos Mavrogiannopoulos 2017-03-09 14:20:48 UTC
Ok, thanks. I'm closing it as not a bug. If there is something we can address in gnutls which can help you with that, please re-open.


Note You need to log in before you can comment on or make changes to this bug.